package com.younike.service.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.younike.common.core.page.PageParam;
import com.younike.common.utils.text.Convert;
import com.younike.service.pojo.SysOperLog;
import com.younike.service.service.ISysOperLogService;
import com.younike.service.mapper.SysOperLogMapper;
import org.springframework.stereotype.Service;


import javax.annotation.Resource;

/**
 * 操作日志 服务层处理
 */

@Service
public class SysOperLogServiceImpl implements ISysOperLogService {
    @Resource
    private SysOperLogMapper operLogMapper;

    /**
     * 新增操作日志
     *
     * @param operLog 操作日志对象
     */
    @Override
    public void insertOperlog(SysOperLog operLog) {
        operLogMapper.insertOperlog(operLog);
    }

    /**
     * 查询系统操作日志集合
     *
     *
     * @param pageParam
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    @Override
    public Page<SysOperLog> selectOperLogList(PageParam pageParam, SysOperLog operLog) {
        return operLogMapper.selectOperLogList(pageParam,operLog);
    }

    /**
     * 批量删除系统操作日志
     *
     * @param ids 需要删除的数据
     * @return
     */
    @Override
    public int deleteOperLogByIds(String ids) {
        return operLogMapper.deleteOperLogByIds(Convert.toStrArray(ids));
    }

    /**
     * 查询操作日志详细
     *
     * @param operId 操作ID
     * @return 操作日志对象
     */
    @Override
    public SysOperLog selectOperLogById(Long operId) {
        return operLogMapper.selectOperLogById(operId);
    }

    /**
     * 清空操作日志
     */
    @Override
    public void cleanOperLog() {
        operLogMapper.cleanOperLog();
    }
}
